Skip to content
POST/{organizationId}/{mandateId}/finance/accounting/scanReceipt

Scan posting receipt

Scans a posting receipt PDF/Image file and returns its information

Required permissions:

  • receipt.insert

Path Parameters

organizationIdstringrequired
mandateIdstringrequired

Request Body required

Content-Type: application/json

fileIduuidrequired

pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$

Authentication: X-API-Key

Request

POST/{organizationId}/{mandateId}/finance/accounting/scanReceipt
curl --request POST 'https://cloud.campai.com/api/{organizationId}/{mandateId}/finance/accounting/scanReceipt' \
  --header 'X-API-Key: YOUR_API_KEY' \
  --header 'Content-Type: application/json' \
  --data '{
  "fileId": "string"
}'

Responses

This endpoint returns different response codes based on the request outcome.

200Successful response

Content-Type: application/json

receiptDatestringoptional
receiptNumberstringoptional
deliveryDatestring | nulloptional

Default: null

isNetbooleanoptional
amountintegeroptional

maximum: 9999999999

exclusiveMinimum: 0

Additional properties are not allowed.

Response

200
{
  "receiptDate": "string",
  "receiptNumber": "string",
  "deliveryDate": null
}

400Invalid input data

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

400
{
  "code": "BAD_REQUEST",
  "message": "Invalid input data",
  "issues": []
}

401Authorization not provided

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

401
{
  "code": "UNAUTHORIZED",
  "message": "Authorization not provided",
  "issues": []
}

403Insufficient access

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

403
{
  "code": "FORBIDDEN",
  "message": "Insufficient access",
  "issues": []
}

500Internal server error

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

500
{
  "code": "INTERNAL_SERVER_ERROR",
  "message": "Internal server error",
  "issues": []
}